Name:           perl-Alien-OpenSSL
Version:        0.15
Release:        1%{?dist}
Summary:        Alien wrapper for OpenSSL
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/pod/Alien::OpenSSL
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Alien-OpenSSL-%{version}.tar.gz

%global debug_package %{nil}

BuildRequires:  coreutils
BuildRequires:  openssl-devel
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl-generators
BuildRequires:  perl(Alien::Base) >= 0.038
BuildRequires:  perl(Alien::Build) >= 0.32
BuildRequires:  perl(Alien::Build::MM) >= 0.32
BuildRequires:  perl(base)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien)
BuildRequires:  perl(Test::Alien::Diag)
BuildRequires:  perl(warnings)
Requires:       pkgconfig(openssl) = %(type -p pkgconf >/dev/null && pkgconf --exists openssl && pkg-config --modversion openssl || echo 0)

%description
This distribution provides OpenSSL so that it can be used by other Perl
distributions that are on CPAN. It does this by first trying to detect
an existing install of OpenSSL on your system. If found it will use
that. If it cannot be found, the source code will be downloaded from the
internet and it will be installed in a private share location for the
use of other modules.

%prep
%setup -q -n Alien-OpenSSL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 05 2024 Orion Poplawski <orion@nwra.com> 0.15-1
- Initial Fedora package
